<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for contact in patient package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  contact module in patient package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Contact',
    'names'         => 'Contacts',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Contacts',
        'sub'   => 'Contacts',
        'list'  => 'List of contacts',
        'edit'  => 'Edit contact',
        'create'    => 'Create new contact'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'default'             => ['Yes','No'],
            'responsible'         => ['Yes','No'],
            'type'                => ['mother','father','parent','brother','sister','daughter','child','friend','spouse','partner','assistant','manager','other'],
            'waiverings'          => ['Yes','No'],
            'mailings'            => ['Yes','No'],
            'callings'            => ['Yes','No'],
            'textings'            => ['Yes','No'],
            'emailings'           => ['Yes','No'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'patient_id'                 => 'Please enter patient id',
        'country'                    => 'Please enter country',
        'name'                       => 'Please enter name',
        'email'                      => 'Please enter email',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'fax'                        => 'Please enter fax',
        'building'                   => 'Please enter building',
        'street'                     => 'Please enter street',
        'city'                       => 'Please enter city',
        'state'                      => 'Please enter state',
        'zip'                        => 'Please enter zip',
        'default'                    => 'Please select default',
        'responsible'                => 'Please select responsible',
        'type'                       => 'Please select type',
        'waiverings'                 => 'Please select waiverings',
        'mailings'                   => 'Please select mailings',
        'callings'                   => 'Please select callings',
        'textings'                   => 'Please select textings',
        'emailings'                  => 'Please select emailings',
        'created_at'                 => 'Please select created',
        'updated_at'                 => 'Please select updated',
        'deleted_at'                 => 'Please select deleted',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'patient_id'                 => 'Patient id',
        'country'                    => 'Country',
        'name'                       => 'Name',
        'email'                      => 'Email',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'fax'                        => 'Fax',
        'building'                   => 'Building',
        'street'                     => 'Street',
        'city'                       => 'City',
        'state'                      => 'State',
        'zip'                        => 'Zip',
        'default'                    => 'Default',
        'responsible'                => 'Responsible',
        'type'                       => 'Type',
        'waiverings'                 => 'Waiverings',
        'mailings'                   => 'Mailings',
        'callings'                   => 'Callings',
        'textings'                   => 'Textings',
        'emailings'                  => 'Emailings',
        'created_at'                 => 'Created',
        'updated_at'                 => 'Updated',
        'deleted_at'                 => 'Deleted ',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'patient_id'                 => ['name' => 'Patient id', 'data-column' => 1, 'checked'],
        'country'                    => ['name' => 'Country', 'data-column' => 2, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 3, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 4, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 5, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 6, 'checked'],
        'street'                     => ['name' => 'Street', 'data-column' => 7, 'checked'],
        'city'                       => ['name' => 'City', 'data-column' => 8, 'checked'],
        'state'                      => ['name' => 'State', 'data-column' => 9, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Contacts',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
