<?php

namespace Liteerp\Patient\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class ContactTransformer extends TransformerAbstract
{
    public function transform(\Liteerp\Patient\Models\Contact $contact)
    {
        return [
            'id'                => $contact->getRouteKey(),
            'key'               => [
                'public'    => $contact->getPublicKey(),
                'route'     => $contact->getRouteKey(),
            ], 
            'id'                => $contact->id,
            'patient_id'        => $contact->patient_id,
            'country'           => $contact->country,
            'name'              => $contact->name,
            'email'             => $contact->email,
            'mobile'            => $contact->mobile,
            'phone'             => $contact->phone,
            'fax'               => $contact->fax,
            'building'          => $contact->building,
            'street'            => $contact->street,
            'city'              => $contact->city,
            'state'             => $contact->state,
            'zip'               => $contact->zip,
            'default'           => $contact->default,
            'responsible'       => $contact->responsible,
            'type'              => $contact->type,
            'waiverings'        => $contact->waiverings,
            'mailings'          => $contact->mailings,
            'callings'          => $contact->callings,
            'textings'          => $contact->textings,
            'emailings'         => $contact->emailings,
            'created_at'        => $contact->created_at,
            'updated_at'        => $contact->updated_at,
            'deleted_at'        => $contact->deleted_at,
            'url'               => [
                'public'    => trans_url('patient/'.$contact->getPublicKey()),
                'user'      => guard_url('patient/contact/'.$contact->getRouteKey()),
            ], 
            'status'            => trans('app.'.$contact->status),
            'created_at'        => format_date($contact->created_at),
            'updated_at'        => format_date($contact->updated_at),
        ];
    }
}